本文へスキップ

記事を検査

POST
/articles/scan

記事フィールドのエンティティ名と命名違反を検査します。レスポンスには、承認が必要なものを含む、決定的なルールによるすべての修正プレビューが含まれます。検出した違反はデフォルトで保存されます。保存しない場合は persistfalse にします。

認証

apiKeyAuth

CoinPost API key

API Key (header: CP-X-API-KEY)

リクエストボディ

application/json
JSON
{
  
"articles": [
  
  
{
  
  
  
"id": "string",
  
  
  
"title": "string",
  
  
  
"summary": "string",
  
  
  
"content": "string",
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"source": "string",
  
  
  
"language": "string"
  
  
}
  
],
  
"persist": true
}

レスポンス

Scan results in the same order as the request articles

application/json
JSON
[
  
{
  
  
"article_id": "string",
  
  
"matches": [
  
  
  
{
  
  
  
  
"article_id": "string",
  
  
  
  
"entity_id": "string",
  
  
  
  
"field": "string",
  
  
  
  
"matched_text": "string",
  
  
  
  
"start_offset": 0,
  
  
  
  
"end_offset": 0
  
  
  
}
  
  
],
  
  
"violations": [
  
  
  
{
  
  
  
  
"article_id": "string",
  
  
  
  
"entity_id": "string",
  
  
  
  
"rule_id": "string",
  
  
  
  
"field": "string",
  
  
  
  
"matched_text": "string",
  
  
  
  
"start_offset": 0,
  
  
  
  
"end_offset": 0,
  
  
  
  
"suggested_name": "string",
  
  
  
  
"language": "string",
  
  
  
  
"violation_type": "string",
  
  
  
  
"severity": "string",
  
  
  
  
"auto_fixable": true
  
  
  
}
  
  
],
  
  
"corrections": [
  
  
  
{
  
  
  
  
"article_id": "string",
  
  
  
  
"entity_id": "string",
  
  
  
  
"rule_id": "string",
  
  
  
  
"field": "string",
  
  
  
  
"original_text": "string",
  
  
  
  
"corrected_text": "string",
  
  
  
  
"language": "string",
  
  
  
  
"start_offset": 0,
  
  
  
  
"end_offset": 0,
  
  
  
  
"auto_fixable": true,
  
  
  
  
"requires_approval": true
  
  
  
}
  
  
],
  
  
"corrected_article": {
  
  
  
"id": "string",
  
  
  
"title": "string",
  
  
  
"summary": "string",
  
  
  
"content": "string",
  
  
  
"tags": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"source": "string",
  
  
  
"language": "string"
  
  
}
  
}
]

Playground

認証
ボディ

サンプル